import { DiagnosticProcedure } from "entity";
import { SelectQueryBuilder } from "typeorm";
import CommonHelper from "../helpers/common";
import { OrmHelper } from "../helpers/orm";

export class DiagnosticProcedureModel {
	static async list(filter = {}): Promise<SelectQueryBuilder<any>> {
		const repo = OrmHelper.DB.getRepository(DiagnosticProcedure);
		let whereAttr = [];
		let whereVal: any = {};
		if (filter) {
			whereAttr = [...whereAttr, ...CommonHelper.handleQueryFilter(filter).whereAttr];
			whereVal = { ...whereVal, ...CommonHelper.handleQueryFilter(filter).whereVal };
		}

		var query = null;
		query = repo.createQueryBuilder("DiagnosticProcedure");
		if (whereAttr.length != 0) {
			query = query.where(whereAttr.join(" and "), whereVal);
		}

		return query;
	}
}
